unit u_About;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Misc, Maze;

type
  TAbout = class(TForm)
    Gecko: TImage;
    CloseButton: TButton;
    VersionLabel: TLabel;
    Maze: TMaze;
    MazeTimer: TTimer;
    Logo: TImage;
    procedure FormCreate(Sender: TObject);
    procedure MazeTimerTimer(Sender: TObject);
    procedure CloseButtonClick(Sender: TObject);
    procedure MazeRedraw(Sender: TObject);
  private
    { Private declarations }
    procedure WMClose(var Message: TWMClose); message WM_CLOSE;
  public
    { Public declarations }
  end;

var
  About: TAbout;

implementation

{$R *.DFM}

procedure TAbout.FormCreate(Sender: TObject);
var
  Ver: String;
  Rect: TReservationRect;
begin
  Ver := FileVersionInfo(Application.ExeName);
  if Ver = '' then
    Ver := 'No version!';

  VersionLabel.Caption := 'MD5summer v' + Ver + #13
    + 'Windows MD5-Sum generator' + #13
    + 'Written by:' + #13
    + 'Luke Pascoe - luke@md5summer.org' + #13
    + 'Auckland' + #13
    + 'New Zealand' + #13
    + '' + #13
    + 'http://www.md5summer.org' + #13
    + '' + #13
    + 'Written in Borland Delphi 7' + #13
    + 'Source code available from the website.' + #13
    + '' + #13
    + 'Comments and suggestions are welcome.' + #13
    + '' + #13
    + 'Many thanks to all those who''ve contributed' + #13
    + 'with bug reports and testing.' + #13
    + '' + #13
    + 'Thanks to Brandalls Corporation for ' + #13
    + 'the new icon and logo' + #13
    ;

  // Logo
  Rect.Left := 4;
  Rect.Top := 2;
  Rect.Right := 17;
  Rect.Bottom := 15;
  Maze.ReservationList.Add(Rect);

  // Gecko
  Rect.Left := 4;
  Rect.Top := 19;
  Rect.Right := 15;
  Rect.Bottom := 38;
  Maze.ReservationList.Add(Rect);

  // Close button
  Rect.Left := 47;
  Rect.Top := 39;
  Rect.Right := 54;
  Rect.Bottom := 41;
  Maze.ReservationList.Add(Rect);

  // Text
  Rect.Left := 25;
  Rect.Top := 4;
  Rect.Right := Rect.Left + Round((VersionLabel.Width + 5) / 10) + 1;
  Rect.Bottom := Rect.Top + Round((VersionLabel.Height + 5) / 10) + 1;
  Maze.ReservationList.Add(Rect);
end;

procedure TAbout.MazeTimerTimer(Sender: TObject);
begin
  MazeTimer.Enabled := False;
  Maze.Loop(3000);
end;

procedure TAbout.WMClose(var Message: TWMClose);
begin
  Maze.Stop;
  Close;
end;

procedure TAbout.CloseButtonClick(Sender: TObject);
begin
  Maze.Stop;
end;

procedure TAbout.MazeRedraw(Sender: TObject);
begin
  Logo.Refresh;
  Gecko.Refresh;
  VersionLabel.Refresh;
end;

end.
